Bug Hunting Session
Bug 113144 - Selecting hebrew character with mouse wont select its diacritics
Summary: Selecting hebrew character with mouse wont select its diacritics
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Selection RTL-Hebrew
  Show dependency treegraph
 
Reported: 2017-10-15 22:09 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-11-21 03:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-15 22:09:41 UTC
From bug 113134 comment 15, "when you select the Heh by keyboard, it will also select the Mapiq, which will result in the character appearing correctly when changing the font, but if you select the Heh by mouse, it will not select the Mapiq, resulting in no change of the Mapiq when changing the font.

See screencast [attachment 137001 [details]] from 00:36.

This didnt happen with the arabic diacritics i tried, and dont know all the hebrew ones that are available to test, so i'll leave it to Eyal and Lior to see if it is an isolated hebrew diacritic or does it happen to all.
Comment 1 Omer Zak 2017-11-20 22:21:29 UTC
Reproduced in:

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)


In some experiments, both character and Mapiq were selected by mouse, yielding correct placement of the Mapiq when font was changed. In other experiments, only the character was selected and the reported behavior was seen.
Comment 2 QA Administrators 2018-11-21 03:44:40 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug